import http from '@/utils/request'

// 根据员工组织查询员工
export function employeeOrg (params) {
  return http.post('/digitizationData/raw/employee/list/org', params)
}

// 奖惩信息-绩效考核
export function getPanoramaNodeInfo (parm) {
  return http.get('/digitizationData/panorama/nodeInfo', parm)
}

// 全景视图-教育程度
export function employeeEdu (params) {
  return http.post('/digitizationData/data/view/employee/edu', params)
}
// 全景视图-员专业资格
export function employeeTechnical (params) {
  return http.post('/digitizationData//data/view/employee/technical/qualification', params)
}
// 全景视图-员工岗位
export function employeePosition (params) {
  return http.post('/digitizationData/data/view/employee/position', params)
}
// 组织相关
export function organizationList (params) {
  return http.post('/digitizationData/organization/list', params)
}

// 组织详情
export function organationDetail (params) {
  return http.post('/digitizationData/organization/detail', params)
}
// 机构基本信息
export function organationBasicInfo (params) {
  return http.post('/digitizationData/organization/basic/info', params)
}

// 列表员工组织
export function employeeListOrganizationList (params) {
  return http.post('/digitizationData/employee/organization/list', params)
}
// 详情员工组织
export function employeeListOrganizationDetail (params) {
  return http.post('/digitizationData/employee/organization/detail', params)
}

// 全产品_中收_普通产品积分(员工,网点,支行,分行)
export function ordinaryStatistics (params) {
  return http.post('/digitizationData/t/raw/ordinary/product/points/statistics', params)
}

// 全产品_中收_重点产品积分(员工,网点,支行,分行)
export function importantStatistics (params) {
  return http.post('/digitizationData/t/raw/product/medium/harvest/important/statistics', params)
}

// 全产品_中收_普通产品积分(支行,分行)
export function ordinaryProductPointList (params) {
  return http.post('/digitizationData/t/raw/ordinary/product/points/list', params)
}

// 计算结果_全产品_拓户_普通产品积分
export function productExpandUserNormal (params) {
  return http.post('/digitizationData/t/raw/product/expand/user/normal/list/statistics', params)
}

// 计算结果_全产品_拓户_重点产品积分
export function importantProductExpandUser (params) {
  return http.post('/digitizationData/t/raw/product/expand/user/important/statistics', params)
}

// 基础数据_机构部_对公帐户存款数据统计，支持月汇总、年历史
export function mechanismDeposit (params) {
  return http.post('/digitizationData/mechanism/deposit/statistics', params)
}

// 基础数据_机构部_对公帐户存款数据统计，支持月汇总、年历史
export function managementLoan (params) {
  return http.post('/digitizationData/information/management/loan/formal/statistics', params)
}

// 亲属关系图谱
export function familyShowAtlas (params) {
  return http.post('/family/show/atlas', params)
}

// 金融同业情况
export function getInterbankSituation (params) {
  return http.post('/digitizationData/survey/statistics/get/interbank/situation', params)
}

// 金融同业情况历史
export function getInterbankSituationHistory (params) {
  return http.post('/digitizationData/survey/statistics/get/interbank/situation/history', params)
}

// 主要经营指标
export function getMainBusinessIndicators (params) {
  return http.post('/digitizationData/survey/statistics/get/main/business/indicators', params)
}

// 主要经营指标历史
export function getMainBusinessIndicatorsHistory (params) {
  return http.post('/digitizationData/survey/statistics/get/main/business/indicators/history', params)
}
// 主要经营指标查询---行长一览表基础信息（含历年）
export function operateMetricsList (params) {
  return http.post('/digitizationData/survey/statistics/president/main/operate/metric/lists', params)
}

// 员工绩效 前台
export function getPersonalPerformance (params) {
  return http.post('/digitizationData/personal/loan/performance/list', params)
}

// // 员工绩效 对私客户经理平均值
// export function getPersonalPerformanceAvge (params) {
//   return http.post('/digitizationData/personal/loan/performance/avge', params)
// }

// 员工绩效 后台
export function getAssessmentPerformance (params) {
  return http.post('/digitizationData/assessment/backend/personnel/list', params)
}

// 对公绩效
export function getPublicPerformance (params) {
  return http.post('/digitizationData/corporate/customer/managers/assessment/score/list', params)
}

// 支行绩效
export function getBranchPerformance (params) {
  return http.post('/digitizationData/sub/branch/personal/loan/performance/list', params)
}

// 全产品积分-员工增降幅（前二十后十）
export function getPerformanceEmployeeTop (params) {
  return http.post('/digitizationData/institutional/performance/employee/top', params)
}

// 机构绩效-修改绩效使用积分类型系统提供或指标计算
export function productsReasons (params) {
  return http.post('/digitizationData/institutional/performance/employee/score/use/setting', params)
}

// 机构绩效-查询绩效使用积分类型系统提供或指标计算
export function getProductsReasons (params) {
  return http.post('/digitizationData/institutional/performance/employee/score/use/setting/list', params)
}

// 机构绩效-专业变化趋势-发放金额
export function performanceMajorAmountGrant (params) {
  return http.post('/digitizationData/institutional/performance/major/amount/grant', params)
}

// 获取金融机构同业情况统计历史记录
export function getInterbankSituationHistory2 (params) {
  return http.post('/digitizationData/survey/statistics/get/interbank/situation/history', params)
}

// 业务绩效-执行加工任务
export function taskRun (params) {
  return http.post('/digitizationData/platform/task/group/run', params)
}

// 员工全产品积分汇总对比
export function performanceFullProductDiff (params) {
  return http.post('/digitizationData/institutional/performance/full/product/diff', params)
}

// 积分清单列表
export function productScoreDiff (params) {
  return http.post('/digitizationData/full/product/score/diff', params)
}

// 全产品计价导出
export function institutionalPerformanceDownload (params) {
  return http.download('/digitizationData/institutional/performance/full/score/download2', params)
}

// 网点人员配置情况统计查询
export function networkEmployeeSetting (params) {
  return http.post('/digitizationData/network/employee/setting', params)
}

// 前台人员支行汇总
export function loanPerformanceList (params) {
  return http.post('/digitizationData/sub/branch/personal/loan/performance/list', params)
}

// 对私绩效导出
export function personalLoanPerformanceDownload (params) {
  return http.download('/digitizationData/personal/loan/performance/download', params)
}

// 对公绩效导出
export function customerManagersAssessmentDownload (params) {
  return http.download('/digitizationData/corporate/customer/managers/assessment/score/download', params)
}

// 全景机构-员工总结
export function deptViewInfo (params) {
  return http.post('/institution/view/info', params)
}

// 全景员工-员工总结
export function empViewInfo (params) {
  return http.post('/personnel/view/info', params)
}

// 全景员工-网讯文章
export function empArticle (params) {
  return http.post('/personnel/network/info', params)
}

// 全景机构-网讯文章
export function deptArticle (params) {
  return http.post('/institution/network/info', params)
}

// 全景机构-部门网点 中层干部年龄明细
export function getCadreAgeList (params) {
  return http.post('/digitizationData/cadre/list/age/detail', params)
}

// 获取层级结构
export function getOrganizationLevel (params) {
  return http.post('/digitizationData/organization/level/get', params)
}
