// 数据工厂-文件管理
import http from '@/utils/request'

// 列表
export function fileList (params) {
  return http.post('/dataFactory/file/list', params)
}

// 删除
export function fileListDel (params) {
  return http.post('/dataFactory/file/del', params)
}

// 文件夹创建
export function createFolder (params) {
  return http.post('/dataFactory/file/create/dir', params)
}

// 重命名
export function fileRename (params) {
  return http.post('/dataFactory/file/rename', params)
}

// 移动位置
export function fileRemove (params) {
  return http.post('/dataFactory/file/mv', params)
}

// 文件下载
export function fileDowload (params) {
  return http.download('/dataFactory/file/download', params)
}

// 上传文件
export function fileDirUpload (params) {
  return http.upload('/dataFactory/file/dir/upload', params)
}
